# Interface ChangesObject<T>

Describes the changes in component bindings during `$onChanges`.

interface ChangesObject<T = any> {
currentValue: T;
isFirstChange: () => boolean;
}

#### Type Parameters

- T = any

- Defined in src/interface.ts:114

##### Index

### Properties

currentValue
isFirstChange

## Properties

### currentValue

currentValue: T

New value of the binding

- Defined in src/interface.ts:116

### isFirstChange

isFirstChange: () => boolean

Whether this is the first change

- Defined in src/interface.ts:118